#ifndef _Handle_PColStd_VArrayNodeOfFieldOfHArray2OfReal_HeaderFile
#define _Handle_PColStd_VArrayNodeOfFieldOfHArray2OfReal_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PStandard_ArrayNode_HeaderFile
#include <Handle_PStandard_ArrayNode.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PStandard_ArrayNode);
class PColStd_VArrayNodeOfFieldOfHArray2OfReal;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColStd_VArrayNodeOfFieldOfHArray2OfReal);

class Handle(PColStd_VArrayNodeOfFieldOfHArray2OfReal) : public Handle(PStandard_ArrayNode) {
  public:

    Handle(PColStd_VArrayNodeOfFieldOfHArray2OfReal)():Handle(PStandard_ArrayNode)() {} 
    Handle(PColStd_VArrayNodeOfFieldOfHArray2OfReal)(const Handle(PColStd_VArrayNodeOfFieldOfHArray2OfReal)& aHandle) : Handle(PStandard_ArrayNode)(aHandle) 
     {
     }

    Handle(PColStd_VArrayNodeOfFieldOfHArray2OfReal)(const PColStd_VArrayNodeOfFieldOfHArray2OfReal* anItem) : Handle(PStandard_ArrayNode)((PStandard_ArrayNode *)anItem) 
     {
     }

    Handle(PColStd_VArrayNodeOfFieldOfHArray2OfReal)& operator=(const Handle(PColStd_VArrayNodeOfFieldOfHArray2OfReal)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColStd_VArrayNodeOfFieldOfHArray2OfReal)& operator=(const PColStd_VArrayNodeOfFieldOfHArray2OfReal* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColStd_VArrayNodeOfFieldOfHArray2OfReal* operator->() const 
     {
      return (PColStd_VArrayNodeOfFieldOfHArray2OfReal *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColStd_VArrayNodeOfFieldOfHArray2OfReal) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
